Skip to content

Site Template ​

35 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getSitesOverridesGETget site overrides
getSiteTemplateListGETGet site template list
createNewSiteTemplatePOSTCreate new site template
deleteSiteTemplateDELETEDelete an existing site template
getSiteTemplateEntityGETGet site template info
updateSiteTemplateEntityPUTModify an existing site template
getValidDeviceModelGETget valid device template
unbindSitePOSTBatch unbind sites from a site template
bindSiteTemplatePOSTBind site with a site template
getBoundSitesGETGet sites info which bound to the site template
getSiteTemplateSettingCapGETGet siteTemplate capabilities.
copySiteTemplatePOSTCreate Site Template by copying exist site template
copySiteTemplateToCustomersPOSTCopy site template to customers
boundSiteExistUnSupportRadSecDeviceGETCheck for unsupported RadSec devices in the bound sites.
getGridDeviceTemplateGETGet deviceTemplate info list
createDeviceTemplatePOSTcreate device template
deleteDeviceTemplateDELETEdelete device template
modifyDeviceTemplatePATCHmodify device template
getGridDeviceTemplateAvailableDevicesGETGet deviceTemplate's available devices
deviceTemplateBindDeviceBatchPOSTDevice template batch bind devices
deviceTemplateSyncConfigBatchPOSTDevice template batch sync config to devices
deviceTemplateUnbindDeviceBatchPOSTDevice template batch unbind devices
getGridDeviceTemplateBoundDevicesGETGet deviceTemplate's bound devices
getGridDevicesAvailableTemplateGETget the devices on the site and the templates that can be bound
getGridDeviceTemplateDetailGETget device template
getSiteTemplateDstInfoGETGet daylight saving time information for the Site template configuration
batchSyncSiteWithTemplatePOSTBatch sync site settings with the site template
getSiteTemplateConfigurationGETget site template settings
getExistSiteTemplateSettingByOpenApiGETQuery site template setting exist or not
getSiteTemplateGeneralConfigGETget site template general config
getSiteTemplateServiceGETget site template service
getSiteTemplateWirelessFeatureGETget site template WirelessFeature
getSiteTemplateSpecificationGETGet siteTemplate functional specifications
getSiteTemplateAllModulesGETGet all function modules which can be selected when creating site template
getSiteTemplateModulesGETGet function modules which can be selected when creating site template (deprecated)

getSitesOverrides ​

GET /openapi/v1/{omadacId}/site-overrides

get site overrides

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdsqueryarray<string>yesSite IDs
json
// omada_call_operation
{
  "operationId": "getSitesOverrides",
  "params": {
    "siteIds": "<siteIds>"
  }
}
Details, permissions and error codes

get site overrides
The interface requires one of the permissions:
Global Site Template Manager View Only

getSiteTemplateList ​

GET /openapi/v1/{omadacId}/sitetemplates

Get site template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name
json
// omada_call_operation
{
  "operationId": "getSiteTemplateList"
}
Details, permissions and error codes

Get site template list
The interface requires one of the permissions:
Global Site Template Manager View Only

createNewSiteTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates

Create new site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema CreateSiteTemplateEntity

FieldTypeRequiredDescription
namestringyesName of the site template should contain 1 to 64 characters.
typeintegernoThis param has been deprecated. Please do not use it.
settingsarray<string>noSettings of the site template support. Optional settings are as follows: AIRFPlaning, firewall, wirelessIdsIps, siteCLI, abnormal, sim, log, auditLogs, applicationControl, servicesRebootSchedule, servicesPortSchedule
json
// omada_call_operation
{
  "operationId": "createNewSiteTemplate",
  "body": "{...}"
}
Details, permissions and error codes

Create new site template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33108 - The number of site templates has reached the limit.
-44430 - This name already exists. Please enter another name for this site template.

deleteSiteTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}

Delete an existing site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "deleteSiteTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Delete an existing site template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

getSiteTemplateEntity ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}

Get site template info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateEntity",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template info
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSiteTemplateEntity ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}

Modify an existing site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema UpdateSiteByTemplate

FieldTypeRequiredDescription
namestringyesName of the site should contain 1 to 64 characters.
json
// omada_call_operation
{
  "operationId": "updateSiteTemplateEntity",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing site template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-44430 - This name already exists. Please enter another name for this site template.

getValidDeviceModel ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/available-devicemodels

get valid device template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getValidDeviceModel",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

get valid device template
The interface requires one of the permissions:
Global Site Template Manager View Only

unbindSite ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/batch-unbind

Batch unbind sites from a site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema BatchUnbindSites

FieldTypeRequiredDescription
siteIdsarray<string>yesThe IDs of target sites.
json
// omada_call_operation
{
  "operationId": "unbindSite",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch unbind sites from a site template.
The interface requires one of the permissions:
Global Dashboard Manager Modify
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

bindSiteTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bind-site

Bind site with a site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema BindSiteOpenApiVO

FieldTypeRequiredDescription
siteIdstringyesSite ID to bind.
switchesarray<DeviceBindOpenApiVO>noSwitch choose for binding device template.
json
// omada_call_operation
{
  "operationId": "bindSiteTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Bind site with a site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

getBoundSites ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/binding-sites

Get sites info which bound to the site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getBoundSites",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get sites info which bound to the site template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

getSiteTemplateSettingCap ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/capacity

Get siteTemplate capabilities.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateSettingCap",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate capabilities.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

copySiteTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/copy

Create Site Template by copying exist site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CopySiteTemplateOpenApiVO

FieldTypeRequiredDescription
namestringyesName of the site should contain 1 to 64 characters.
json
// omada_call_operation
{
  "operationId": "copySiteTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Site Template by copying exist site template.
The interface requires one of the permissions:
Global Site Template Manager Modify

copySiteTemplateToCustomers ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/copy/batch

Copy site template to customers

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema BatchCopySiteTemplateOpenApiVO

FieldTypeRequiredDescription
namestringyesName of the site should contain 1 to 64 characters.
targetOmadacsarray<string>yesThe target Customer ID needs to be obtained from the interface "Obtain the customer ID with permission to modify site templates".
json
// omada_call_operation
{
  "operationId": "copySiteTemplateToCustomers",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Copy the site template to one or more customers (whose site templates the current user has permission to modify). Up to 10 customers can be operated at the same time.
The interface requires one of the permissions:
Global Site Template Manager Modify

boundSiteExistUnSupportRadSecDevice ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devices/un-support-radsec

Check for unsupported RadSec devices in the bound sites.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "boundSiteExistUnSupportRadSecDevice",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get the result of detecting devices in the bound sites that do not support the RadSec feature.
The interface requires one of the permissions:
Global Site Template Manager View Only
Site Device Manager View Only

getGridDeviceTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates

Get deviceTemplate info list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDeviceTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get deviceTemplate info list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createDeviceTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates

create device template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema deviceTemplateAdd

FieldTypeRequiredDescription
templateNamestringnoThe name of device template.
deviceTypestringnoThe type of device.
modelstringnoThe model name of device.
modelVersionstringnoThe model version of device.For example: 1.0
templateSettingsarray<integer>noThe configurable modules of device. For Access Series/ Aggregation/ Campus Switches: 1:port; 2:vlanInterface; 3:staticRoute; 6:general; 7:loopbackControl. For Agile Series Switches: 1:port; 5:ipSetting; 6:general; 7:loopbackControl. For only Wireless Gateways: 2:radios; 3:wlans; 5:advanced. For only 4G/5G Gateways: 7:sim_statistics; 8:sms_settings. For all Gateways: 1:port; 4:general; 9:routing; 10:nat; 11:bandwidth_control; 12:acl; 13:session_limit; 14:gateway_qos; 15:url_filtering; 16:application_control; 17:ids_ips; 18:firewall; 19:dns; 20:upnp; 21:iptv; 23:advanced_general; 24:mac_filtering.
json
// omada_call_operation
{
  "operationId": "createDeviceTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

create device template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33012 - This name already exists in the device template.

deleteDeviceTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}

delete device template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
json
// omada_call_operation
{
  "operationId": "deleteDeviceTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

delete device template
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyDeviceTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}

modify device template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema deviceTemplateEdit

FieldTypeRequiredDescription
templateNamestringnoThe name of device template.
autoBindbooleannoDevices will automatically bind the template and use template configurations.
statusintegernoThe status of device template. 0:completed ; 1:draft
json
// omada_call_operation
{
  "operationId": "modifyDeviceTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify device template
The interface requires one of the permissions:
Global Site Template Manager Modify

getGridDeviceTemplateAvailableDevices ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/available-bind-devices

Get deviceTemplate's available devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDeviceTemplateAvailableDevices",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get deviceTemplate's available devices.
The interface requires one of the permissions:
Global Site Template Manager View Only

deviceTemplateBindDeviceBatch ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/batch-binddevice

Device template batch bind devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema BatchBindDeviceOpenApiVO

FieldTypeRequiredDescription
devicesarray<DeviceBindBriefOpenApiVO>no
json
// omada_call_operation
{
  "operationId": "deviceTemplateBindDeviceBatch",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Device template batch bind devices.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-44402 - Device template does not exist.

deviceTemplateSyncConfigBatch ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/batch-sync-config

Device template batch sync config to devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema BatchBindDeviceOpenApiVO

FieldTypeRequiredDescription
devicesarray<DeviceBindBriefOpenApiVO>no
json
// omada_call_operation
{
  "operationId": "deviceTemplateSyncConfigBatch",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Device template batch sync config to devices.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-44402 - Device template does not exist.

deviceTemplateUnbindDeviceBatch ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/batch-unbinddevice

Device template batch unbind devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema BatchBindDeviceOpenApiVO

FieldTypeRequiredDescription
devicesarray<DeviceBindBriefOpenApiVO>no
json
// omada_call_operation
{
  "operationId": "deviceTemplateUnbindDeviceBatch",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Device template batch unbind devices.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-44402 - Device template does not exist.

getGridDeviceTemplateBoundDevices ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/{deviceTemplateId}/bound-devices

Get deviceTemplate's bound devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDeviceTemplateBoundDevices",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get deviceTemplate's bound devices.
The interface requires one of the permissions:
Global Site Template Manager View Only

getGridDevicesAvailableTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/available-devices/{siteId}

get the devices on the site and the templates that can be bound

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDevicesAvailableTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

get the devices on the site and the templates that can be bound
The interface requires one of the permissions:
Global Site Template Manager View Only

getGridDeviceTemplateDetail ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/detail

get device template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDeviceTemplateDetail",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

get device template
The interface requires one of the permissions:
Global Site Template Manager View Only

getSiteTemplateDstInfo ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/dst-info

Get daylight saving time information for the Site template configuration

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateDstInfo",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get daylight saving time information for the Site template configuration
The interface requires one of the permissions:
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-53124 - Device Management Host not enable.

batchSyncSiteWithTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/multi-sites/sync

Batch sync site settings with the site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema BatchSyncSitesOpenApiVO

FieldTypeRequiredDescription
siteIdsarray<string>yesSite IDs to sync with site template.
json
// omada_call_operation
{
  "operationId": "batchSyncSiteWithTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch sync site settings with the site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-44418 - Failed to sync this site with the site template due to unexpected errors.
-44423 - You can sync site configurations with the site template for up to 30 sites at a time.

getSiteTemplateConfiguration ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/configuration

get site template settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateConfiguration",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

get site template settings.
The interface requires one of the permissions:
Global Site Template Manager View Only

getExistSiteTemplateSettingByOpenApi ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/exist

Query site template setting exist or not

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getExistSiteTemplateSettingByOpenApi",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Query site template setting exist or not
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteTemplateGeneralConfig ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/general/config

get site template general config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateGeneralConfig",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

get site template general config
The interface requires one of the permissions:
Global Site Template Manager View Only

getSiteTemplateService ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service

get site template service

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateService",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

get site template service
The interface requires one of the permissions:
Global Site Template Manager View Only

getSiteTemplateWirelessFeature ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/wireless/feature

get site template WirelessFeature

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateWirelessFeature",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

get site template WirelessFeature.
The interface requires one of the permissions:
Global Site Template Manager View Only

getSiteTemplateSpecification ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/specification

Get siteTemplate functional specifications

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateSpecification",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate functional specifications(Return value only after adding a low-specification device).
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteTemplateAllModules ​

GET /openapi/v1/{omadacId}/sitetemplates/all-modules

Get all function modules which can be selected when creating site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getSiteTemplateAllModules"
}
Details, permissions and error codes

Get all function modules which can be selected when creating site template.
The interface requires one of the permissions:
Global Site Template Manager Modify

getSiteTemplateModules ​

GET /openapi/v1/{omadacId}/sitetemplates/modules

Deprecated

This operation is deprecated.

Get function modules which can be selected when creating site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getSiteTemplateModules"
}
Details, permissions and error codes

Get function modules which can be selected when creating site template. This interface has been deprecated. Please use the following interface instead: Get all function modules which can be selected when creating site template.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.